'use strict';

import React, { Component } from 'react';
import resList from '../../resconfig/resList';

import './comrulep.less';

class Comrulep extends Component {
  constructor(props) {
    super(props);
    this.state = this.state || { resList: resList };
  }
  render() {
    const { rule, onClose } = this.props;
    return (
      <div className="rulep">
        <div className="bgModal"/>
        <img className="rulebg" src={this.state.resList['3f66081c-e96f-4889-a3d2-8cd312561f42'].url} />
        <label className="rule">
          {rule}
        </label>
        <img className="ruleclo" onClick={onClose} src={this.state.resList['c9098829-9dc3-4561-887d-e2a9b3a60e43'].url} />
      </div>
    );
  }
}
export default Comrulep;
